/****************************************************************
KPIT Cummins Infosystems Ltd, Pune, India. - 10-Mar-2003.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

*****************************************************************/

/***********************************************************************************
FILE NAME  	: main.c

DESCRIPTION	: Demonstration of Compare Match Timer (CMT) module.
			  Sets up compare match timer(CMT) to toggle the LEDs on compare match.

OPERATION   : 1. Build this application and download it to the target. Press 'Reset Go'.
			  2. All LEDs will toggle their state when compare match occurs.
			     User may observe LEDs flashing at constant rate approximately 1 second.

Copyright   : 2006 Renesas Technology Europe Ltd.
			  2006 Renesas Technology Corporation.
			  All Rights Reserved
***********************************************************************************/

/***********************************************************************************
Revision History
DD.MM.YYYY OSO-UID Description
06.12.2006 RTE-NPS First Release.
16.08.2011 modified by syslab
***********************************************************************************/

/***********************************************************************************
System Includes
***********************************************************************************/

/**********************************************************************************
User Includes
***********************************************************************************/
/*	Following header file provides access to intrinsic functions to control interrupt
	levels. */
#include "intrinsics.h"
/*	Following header file provides a structure to access on-chip I/O registers. */
#include "iodefine.h"
/* Following header file provides common defines for widely used items. */
#include "syslab7086def.h"
#include "cmt.h"

/**********************************************************************************
User Program Code
***********************************************************************************/

/**********************************************************************************
Function Name: 	main
Description:	Main function
Parameters: 	none
Return value: 	none
***********************************************************************************/
int main(void)
{
	/* Initialise the CMT0 */
	CMT0_Init();

	/* Start Timer */
	CMT.CMSTR.BIT.STR0 = 1;

	/*	Unmask all interrupts.	*/
	set_imask(0);

	while(1);
    return 0;
}
/**********************************************************************************
End of function main
***********************************************************************************/

/**********************************************************************************
End of file
***********************************************************************************/
