/****************************************************************
KPIT Cummins Infosystems Ltd, Pune, India. - 05-Sept-2005.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

*****************************************************************/

#include "inthandler.h"

extern void start (void);     /* Startup code (in start.s)  */
extern void stack (void);     /* stack from linker script   */

/**----------------------------------
**  Typedef for the function pointer
**-----------------------------------*/

typedef void (*fp) (void);
#define VECT_SECT          __attribute__ ((section (".vects")))

const fp HardwareVectors[] VECT_SECT = {
start,			/* 0  Power-on reset, Program counter (PC) */
(fp) stack,		/* 1  Power-on reset, Stack pointer (SP)   */
INT_Manual_Reset_PC,
(fp) stack,		/* 3  Manual reset, Stack pointer (SP)   */
INT_Illegal_code,
(fp)0,			/*Reserved 5*/
INT_Illegal_slot,
(fp)0,			/*Reserved 7*/
(fp)0,			/*Reserved 8*/
INT_CPU_Address,
INT_DTC_Address,
INT_NMI,
INT_User_Break,
(fp)0,			/*Reserved 13*/
(fp)0,			/*Reserved 14*/
(fp)0,			/*Reserved 15*/
(fp)0,			/*Reserved 16*/
(fp)0,			/*Reserved 17*/
(fp)0,			/*Reserved 18*/
(fp)0,			/*Reserved 19*/
(fp)0,			/*Reserved 20*/
(fp)0,			/*Reserved 21*/
(fp)0,			/*Reserved 22*/
(fp)0,			/*Reserved 23*/
(fp)0,			/*Reserved 24*/
(fp)0,			/*Reserved 25*/
(fp)0,			/*Reserved 26*/
(fp)0,			/*Reserved 27*/
(fp)0,			/*Reserved 28*/
(fp)0,			/*Reserved 29*/
(fp)0,			/*Reserved 30*/
(fp)0,			/*Reserved 31*/
INT_TRAPA32,
INT_TRAPA33,
INT_TRAPA34,
INT_TRAPA35,
INT_TRAPA36,
INT_TRAPA37,
INT_TRAPA38,
INT_TRAPA39,
INT_TRAPA40,
INT_TRAPA41,
INT_TRAPA42,
INT_TRAPA43,
INT_TRAPA44,
INT_TRAPA45,
INT_TRAPA46,
INT_TRAPA47,
INT_TRAPA48,
INT_TRAPA49,
INT_TRAPA50,
INT_TRAPA51,
INT_TRAPA52,
INT_TRAPA53,
INT_TRAPA54,
INT_TRAPA55,
INT_TRAPA56,
INT_TRAPA57,
INT_TRAPA58,
INT_TRAPA59,
INT_TRAPA60,
INT_TRAPA61,
INT_TRAPA62,
INT_TRAPA63,
INT_IRQ0,
INT_IRQ1,
INT_IRQ2,
INT_IRQ3,
INT_IRQ4,
INT_IRQ5,
INT_IRQ6,
INT_IRQ7,
INT_DMAC0_DEI0,
(fp)0,			/*Reserved 73*/
(fp)0,			/*Reserved 74*/
(fp)0,			/*Reserved 75*/
INT_DMAC1_DEI1,
(fp)0,			/*Reserved 77*/
(fp)0,			/*Reserved 78*/
(fp)0,			/*Reserved 79*/
INT_DMAC2_DEI2,
(fp)0,			/*Reserved 81*/
(fp)0,			/*Reserved 82*/
(fp)0,			/*Reserved 83*/
INT_DMAC3_DEI3,
(fp)0,			/*Reserved 85*/
(fp)0,			/*Reserved 86*/
(fp)0,			/*Reserved 87*/
INT_MTU0_TGIA0,
INT_MTU0_TGIB0,
INT_MTU0_TGIC0,
INT_MTU0_TGID0,
INT_MTU0_TCIV0,
INT_MTU0_TGIE0,
INT_MTU0_TGIF0,
(fp)0,			/*Reserved 95*/
INT_MTU1_TGIA1,
INT_MTU1_TGIB1,
(fp)0,			/*Reserved 98*/
(fp)0,			/*Reserved 99*/
INT_MTU1_TCIV1,
INT_MTU1_TCIU1,
(fp)0,			/*Reserved 102*/
(fp)0,			/*Reserved 103*/
INT_MTU2_TGIA2,
INT_MTU2_TGIB2,
(fp)0,			/*Reserved 106*/
(fp)0,			/*Reserved 107*/
INT_MTU2_TCIV2,
INT_MTU2_TCIU2,
(fp)0,			/*Reserved 110*/
(fp)0,			/*Reserved 111*/
INT_MTU3_TGIA3,
INT_MTU3_TGIB3,
INT_MTU3_TGIC3,
INT_MTU3_TGID3,
INT_MTU3_TCIV3,
(fp)0,			/*Reserved 117*/
(fp)0,			/*Reserved 118*/
(fp)0,			/*Reserved 119*/
INT_MTU4_TGIA4,
INT_MTU4_TGIB4,
INT_MTU4_TGIC4,
INT_MTU4_TGID4,
INT_MTU4_TCIV4,
(fp)0,			/*Reserved 125*/
(fp)0,			/*Reserved 126*/
(fp)0,			/*Reserved 127*/
INT_MTU5_TGIU5,
INT_MTU5_TGIV5,
INT_MTU5_TGIW5,
(fp)0,			/*Reserved 131*/
INT_POE_OEI1,
INT_POE_OEI3,
(fp)0,			/*Reserved 134*/
(fp)0,			/*Reserved 135*/
(fp)0,			/*Reserved 136*/
(fp)0,			/*Reserved 137*/
(fp)0,			/*Reserved 138*/
(fp)0,			/*Reserved 139*/
(fp)0,			/*Reserved 140*/
(fp)0,			/*Reserved 141*/
(fp)0,			/*Reserved 142*/
(fp)0,			/*Reserved 143*/
(fp)0,			/*Reserved 144*/
(fp)0,			/*Reserved 145*/
(fp)0,			/*Reserved 146*/
(fp)0,			/*Reserved 147*/
(fp)0,			/*Reserved 148*/
(fp)0,			/*Reserved 149*/
(fp)0,			/*Reserved 150*/
(fp)0,			/*Reserved 151*/
(fp)0,			/*Reserved 152*/
(fp)0,			/*Reserved 153*/
(fp)0,			/*Reserved 154*/
(fp)0,			/*Reserved 155*/
INT_IIC2_IINAKI,
(fp)0,			/*Reserved 157*/
(fp)0,			/*Reserved 158*/
(fp)0,			/*Reserved 159*/
INT_MTU2S_3_TGIA_3S,
INT_MTU2S_3_TGIB_3S,
INT_MTU2S_3_TGIC_3S,
INT_MTU2S_3_TGID_3S,
INT_MTU2S_3_TCIV_3S,
(fp)0,			/*Reserved 165*/
(fp)0,			/*Reserved 166*/
(fp)0,			/*Reserved 167*/
INT_MTU2S_4_TGIA_4S,
INT_MTU2S_4_TGIB_4S,
INT_MTU2S_4_TGIC_4S,
INT_MTU2S_4_TGID_4S,
INT_MTU2S_4_TCIV_4S,
(fp)0,			/*Reserved 173*/
(fp)0,			/*Reserved 174*/
(fp)0,			/*Reserved 175*/
INT_MTU2S_5_TGIU_5S,
INT_MTU2S_5_TGIV_5S,
INT_MTU2S_5_TGIW_5S,
(fp)0,			/*Reserved 179*/
INT_POE_OEI2,
(fp)0,			/*Reserved 181*/
(fp)0,			/*Reserved 182*/
(fp)0,			/*Reserved 183*/
INT_CMT0_CMI0,
(fp)0,			/*Reserved 185*/
(fp)0,			/*Reserved 186*/
(fp)0,			/*Reserved 187*/
INT_CMT1_CMI1,
(fp)0,			/*Reserved 189*/
(fp)0,			/*Reserved 190*/
(fp)0,			/*Reserved 191*/
INT_BSC_CMI,
(fp)0,			/*Reserved 193*/
(fp)0,			/*Reserved 194*/
(fp)0,			/*Reserved 195*/
INT_WDT_ITI,
(fp)0,			/*Reserved 197*/
(fp)0,			/*Reserved 198*/
(fp)0,			/*Reserved 199*/
INT_AD0_ADI0,
INT_AD1_ADI1,
(fp)0,			/*Reserved 202*/
(fp)0,			/*Reserved 203*/
INT_AD2_ADI2,
(fp)0,			/*Reserved 205*/
(fp)0,			/*Reserved 206*/
(fp)0,			/*Reserved 207*/
(fp)0,			/*Reserved 208*/
(fp)0,			/*Reserved 209*/
(fp)0,			/*Reserved 210*/
(fp)0,			/*Reserved 211*/
(fp)0,			/*Reserved 212*/
(fp)0,			/*Reserved 213*/
(fp)0,			/*Reserved 214*/
(fp)0,			/*Reserved 215*/
INT_SCI0_ERI0,
INT_SCI0_RXI0,
INT_SCI0_TXI0,
INT_SCI0_TEI0,
INT_SCI1_ERI1,
INT_SCI1_RXI1,
INT_SCI1_TXI1,
INT_SCI1_TEI1,
INT_SCI2_ERI2,
INT_SCI2_RXI2,
INT_SCI2_TXI2,
INT_SCI2_TEI2,
INT_SCIF_ERIF,
INT_SCIF_RXIF,
INT_SCIF_BRIF,
INT_SCIF_TXIF,
INT_SSU_SSERI,
INT_SSU_SSRXI,
INT_SSU_SSTXI,
(fp)0,			/*Reserved 235*/
INT_IIC2_IITEI,
INT_IIC2_IISTPI,
INT_IIC2_IITXI,
INT_IIC2_IIRXI,
(fp)0,			/*Reserved 240*/
(fp)0,			/*Reserved 241*/
(fp)0,			/*Reserved 242*/
(fp)0,			/*Reserved 243*/
(fp)0,			/*Reserved 244*/
(fp)0,			/*Reserved 245*/
(fp)0,			/*Reserved 246*/
(fp)0,			/*Reserved 247*/
(fp)0,			/*Reserved 248*/
(fp)0,			/*Reserved 249*/
(fp)0,			/*Reserved 250*/
(fp)0,			/*Reserved 251*/
(fp)0,			/*Reserved 252*/
(fp)0,			/*Reserved 253*/
(fp)0,			/*Reserved 254*/
(fp)0,			/*Reserved 255*/
};
