/****************************************************************
KPIT Cummins Infosystems Ltd, Pune, India. - 10-Mar-2003.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

*****************************************************************/

/***********************************************************************************
System Includes
***********************************************************************************/

/**********************************************************************************
User Includes
***********************************************************************************/
/*	Following header file provides access to intrinsic functions to control interrupt
	levels. */
#include "intrinsics.h"
/* Following header file provides a structure to access all of the device registers.*/
#include "iodefine.h"
/* Following header file provides common defines for widely used items. */
#include "syslab7086def.h"
/* Following header file provides prototype for the functions defined in this file.*/
#include "uart.h"
#include "lcd.h"

/**********************************************************************************
Global variables
***********************************************************************************/
/* String constants used for screen output */
char cmd_clr_scr[] = {27,'[','2','J',0};
char cmd_cur_home[] = {27,'[','H',0};

#ifdef CPPAPP
//Initialize global constructors
extern "C" void __main()
{
  static int initialized;
  if (! initialized)
    {
      typedef void (*pfunc) ();
      extern pfunc __ctors[];
      extern pfunc __ctors_end[];
      pfunc *p;

      initialized = 1;
      for (p = __ctors_end; p > __ctors; )
	(*--p) ();

    }
}
#endif 

/**********************************************************************************
Function Name: 	main
Description:	Main function
Parameters: 	none
Return value: 	none
***********************************************************************************/
int main(void)
{
	unsigned char  ucCount;
	unsigned short ucConvert;
	unsigned long ulDelay;

	/* Initialise the SCI0 */
	SCI0_Init();
	/* Initialise the SCI1 */
	SCI1_Init();
	/* Initialise the LCD */
	InitialiseDisplay();

	/*	Unmask all interrupts.	*/
	set_imask(0);

	/* Text to be displayed at the beginning of the program output to the terminal
	window (\r\n = carriage return & linefeed) */
//	SCI0_text_write(cmd_clr_scr);
//	SCI0_text_write(cmd_cur_home);
	SCI0_text_write("Renesas Technology Corporation \r\n");
	SCI0_text_write("RSKSH7086 UART demo. \r\n");
//	SCI0_text_write("Press z to stop, any key to continue. \r\n");
	SCI1_text_write("Renesas Technology Corporation \r\n");
	SCI1_text_write("RSKSH7086 UART demo. \r\n");
	SCI1_text_write("Press z to stop, any key to continue. \r\n");
	DisplayString(LCD_LINE1, "SH7086 UART demo");
	DisplayString(LCD_LINE2, "2011/08   SYSLAB");

/************** MAIN PROGRAM LOOP ***********************/
	while(1)
	{
		while (uart1_in != 'z')
		{
			/* send carrige return and line feed*/
			SCI1_text_write("\r\n");
			LED1 = LED_OFF;
			LED0 = LED_ON;

			for (ucCount=0;(ucCount<=9)&&(uart1_in!='z');ucCount ++)
			{
	 			/* convert count data to ASCII */
				ucConvert = (unsigned short)(ucCount + 0x30);

				while(SCI1.SCSSR.BIT.TDRE == 0);

				/* Write send datas */
				SCI1.SCTDR = (unsigned char)ucConvert;

				/* Clear TDRE */
				SCI1.SCSSR.BIT.TDRE = 0;

				for (ulDelay=0x7ffff; ulDelay>0; ulDelay--);
			}
		}

		/*	Do nothing while stopped (after "z" is pressed)	*/
		nop();
	}
	while (1) ;
	return 0;
}
/**********************************************************************************
End of function main
***********************************************************************************/



