/*********************************************************************************
FILE NAME  	: syslab7086def.h

DESCRIPTION	: Defines for RSKSH7086 kit.

Copyright   : 2006 Renesas Technology Europe Ltd.
			  2006 Renesas Technology Corporation.
			  All Rights Reserved
***********************************************************************************/

/***********************************************************************************
Revision History
DD.MM.YYYY OSO-UID Description
06.12.2006 RTE-NPS First Release.
16.08.2011 modified by syslab
***********************************************************************************/

#ifndef RSK7086DEFS_H_INCLUDED
#define RSK7086DEFS_H_INCLUDED

/***********************************************************************************
Macro Defines
***********************************************************************************/
/* General Values */
#define 	UART0
#define 	UART1
#define 	LCD1602
//#define 	CMT_0
//#define 	CMT_1
#define 	LEDS_ON			(0x00)
#define 	LEDS_OFF		(0x03)
#define		LED_ON			(0)
#define 	LED_OFF			(1)
#define 	SET_BIT_HIGH	(1)
#define 	SET_BIT_LOW		(0)
#define 	SET_BYTE_HIGH	(0xFF)
#define 	SET_BYTE_LOW	(0x00)
#define 	TRUE			(1)
#define 	FALSE			(0)

/* Define switches to be polled if not available as interrupts */
#define		SW1 			PA.DR.BIT.B26
#define 	SW2 			PA.DR.BIT.B27
#define 	SW3 			PB.DRL.BIT.B9

/* LEDs */
#define		LED0			PB.DRL.BIT.B0
#define		LED1			PB.DRL.BIT.B1

/* LED port settings */
/* Port bit to toggle for flashing LED */
#define LED_BIT					(0x03)

/* LED Port data register */
#define LED_PORT_DR				(PB.DRL.BYTE.L)

/* LED Port data direction register */
#define LED_PORT_DDR			(PFC.PBIORL.BYTE.L)

#endif		/* RSK7086DEFS_H_INCLUDED */

/**********************************************************************************
End of file
***********************************************************************************/
